Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IDescriptor

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  IAdapterDescriptor, IApplicationViewDescriptor, IConnectionFactoryDescriptor, IDocumentDescriptor, IEventDescriptor, IPropertiedDescriptor, ISchemaDescriptor, IServiceDescriptor

    public interface IDescriptor

extends Serializable

A base interface for all WLAI descriptors, providing for XML input/output and Serialize ability.

Method Summary
`void` | `fromXML(Reader reader)` Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`void` | `fromXML(String xml)` Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`String` | `getDescription()` Return a description of the object that this descriptor represents and the service's intended use.
`String` | `getName()` Get the name of the object this descriptor represents.
`boolean` | `isReadOnly()` Returns true if the user is not authorized to modify this object.
`void` | `makeReadOnly()` Makes this object immutable
`void` | `setDescription(String description)` Set the description of the object that this descriptor represents and its intended use.
`void` | `setName(String name)` Set the name of the service this object represents.
`String` | `toXML()` Get an XML representation of this descriptor.
`void` | `toXML(Writer writer)` Write an XML representation of this descriptor to the given Writer.

Method Detail

### getName

    String getName()

  Get the name of the object this descriptor represents.

  Returns:
    The name of the object this descriptor represents.

### setName

    void setName(String name)
                 throws IllegalArgumentException

  Set the name of the service this object represents.

  Parameters:
    `name` - The name of the object this descriptor represents. Null is not allowed.
  Throws:
    `IllegalArgumentException` - If the name parameter is null.

### getDescription

    String getDescription()

  Return a description of the object that this descriptor represents and the service's intended use.

  Returns:
    A description of this object and its intended use, or null if no description has been set.

### setDescription

    void setDescription(String description)

  Set the description of the object that this descriptor represents and its intended use.

  Parameters:
    `description` - A description of the object that this descriptor represents and its intended use, or null if no description is known.

### toXML

    String toXML()
                 throws DocumentException

  Get an XML representation of this descriptor.

  Returns:
    An XML string containing the data for this descriptor.
  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### toXML

    void toXML(Writer writer)
               throws DocumentException,
                      IOException

  Write an XML representation of this descriptor to the given Writer.

  Parameters:
    `writer` - A Writer object representing the destination for an XML stream containing the data for this descriptor.
  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.
    `IOException` - If an error occurs writing to the given Writer.

### fromXML

    void fromXML(String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.

  Parameters:
    `xml` - An XML string containing the data for this descriptor.
  Throws:
    `DocumentParseException` - If any error occurs while parsing the XML for this descriptor.
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### fromXML

    void fromXML(Reader reader)
                 throws DocumentParseException,
                        DocumentException,
                        IOException

  Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.

  Parameters:
    `reader` - A Reader object representing the source for an XML stream containing the data for this descriptor.
  Throws:
    `DocumentParseException` - If any error occurs while parsing the XML for this descriptor.
    `DocumentException` - If any error occurs while processing the XML for this descriptor.
    `IOException` - If an error occurs reading from the given Reader.

### isReadOnly

    boolean isReadOnly()

  Returns true if the user is not authorized to modify this object.

  Returns:
    boolean value indicating the mutability of this object.

### makeReadOnly

    void makeReadOnly()

  Makes this object immutable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD